/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TButton - Type Button

Hirarchie:
TObject -> TComponent -> TCaptionedComponent -> TButton
*/

/**
 * La classe TButton reprsente un bouton sur lequel l'utilisateur peut cliquer.
 @since Release 1.0
*/
public class TButton extends TCaptionedComponent {

/**
 * Ce constructeur instancie un objet de Type Button.
 @since Release 1.0
*/
public TButton TButton0 () {
	return new TButton();
}

/**
 * Ce constructeur instancie un objet de Type Button en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TButton TButton1 (TString caption) {
	
	return new TButton();
}

/**
 * Ce constructeur instancie un objet de Type Button en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TButton TButton2 (char[] caption) {
	
	return new TButton();
}

/**
 * Cette mthode retourne un objet de Type Button qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TButton clone() {

	return new TButton();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode affiche le composant  l'cran.
 @since Release 1.0
*/
public void print() {
}
}