/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TObject - Type Object

Hirarchie:
TObject
*/

/**
 * La classe TObject est la racine de la hirarchie des classes.  Toutes les classes
 * ont TObject comme superclasse. Tous les objets implmentent les mthodes de cette
 * classe.
 @since Release 1.0
*/
public class TObject {

/**
 * Ce constructeur instancie un objet de Type Object.
 @since Release 1.0
*/
public TObject TObject0 () {
	
	return new TObject();
}

/**
 * Cette mthode compare l'objet  un autre objet pour tablir une galit.
 * Pour la classe TObject, elle implmente la plus grande discrimination
 * possible entre objets, car pour qu'elle retourne vrai il faut que la valeur
 * passe en paramtre rfre directement  l'objet.
 @param object0 L'objet avec qui comparer.
 @return equal - Vrai si les objets sont gaux.
 @since Release 1.0
*/
public boolean equals (TObject object0) {
	
	return false;
}

/**
 * Cette mthode retourne une chane de caractres reprsentant l'objet.
 * Pour la classe TObject, il s'agit du nom de sa classe et de sa superclasse;
 @return string - La chane de caractre reprsentant l'objet.
 @since Release 1.0
*/
public TString toString () {
	
	return new TString();
}

/**
 * Cette mthode retourne un objet de Type Object qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TObject clone () {
	
	return new TObject();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize() {
}
}