/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TCaptionedComponent - Type CaptionedComponent

Hirarchie:
TObject -> TComponent -> TCaptionedComponent
*/

/**
 * La classe TCaptionedComponant est la racine de la hirarchie des composants visuels
 * tiquetts.
 @since Release 1.0
*/
public class TCaptionedComponent extends TComponent {
	
	/**L'tiquette du composant*/
	public TString caption;

/**
 * Ce constructeur instancie un objet de Type CaptionedComponent.
 @since Release 1.0
*/
public TCaptionedComponent TCaptionedComponent0 () {

	return new TCaptionedComponent();
}

/**
 * Ce constructeur instancie un objet de Type CaptionedComponent en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TCaptionedComponent TCaptionedComponent1 (TString caption) {
	
	return new TCaptionedComponent();
}

/**
 * Ce constructeur instancie un objet de Type CaptionedComponent en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TCaptionedComponent TCaptionedComponent2 (char[] caption) {

	
	return new TCaptionedComponent();
}

/**
 * Cette mthode retourne un objet de Type CaptionedComponent qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TCaptionedComponent clone() {

	
	return new TCaptionedComponent();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode compare l'objet  un autre objet pour tablir une galit.
 * Dans le cas d'un objet de Type CaptionedComponent, une comparaison est tablie
 * entre les reprsentations en chane de caractres des objets.
 @param object0 L'objet  comparer.
 @return result - Vrai si les deux objets sont gaux.
 @since Release 1.0
*/
public boolean equals (TObject object0) {
	
	return false;
}

/**
 * Cette mthode change l'tiquette du composant.  Si les dimensions du
 * CaptionedComponent ne suffisent pas  la nouvelle tiquette, elles sont ajustes
 * automatiquement.
 @param caption L'tiquette du composant
 @since Release 1.0
*/
public void setCaption(TString caption) {
}

/**
 * Cette mthode retourne une chane de caractres reprsentant l'objet.
 * Pour la classe TCaptionedComponent, il s'agit de l'tiquette.
 @return string - La chane de caractre reprsentant l'objet.
 @since Release 1.0
*/
public TString toString	() {
}

/**
 * Cette mthode retourne la hauteur de la police utilise par le systme.
 @return La hauteur de la police
 @since Release 1.0
*/
public static int getFontHeight () {
	
	return 0;
}

/**
 * Cette mthode retourne la largeur de la police utilise par le systme.
 @return La largeur de la police
 @since Release 1.0
*/
public static int getFontWidth () {
	
	return 0;	
}
}